Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Class JiveInitialLdapContext

    java.lang.Object
      javax.naming.InitialContext
          javax.naming.directory.InitialDirContext
              javax.naming.ldap.InitialLdapContext
                  org.jivesoftware.util.JiveInitialLdapContext

All Implemented Interfaces:
  Context, DirContext, LdapContext

    public class JiveInitialLdapContext

extends InitialLdapContext

A class that extends the Java's InitialLdapContext class with two properties to store the SSLSession and the StartTlsResponse objects. This is necessary when using the StartTLS extension.

Field Summary

Fields inherited from class javax.naming.InitialContext
`defaultInitCtx, gotDefault, myProps`

Fields inherited from interface javax.naming.ldap.LdapContext
`CONTROL_FACTORIES`

Fields inherited from interface javax.naming.directory.DirContext
`ADD_ATTRIBUTE, REMOVE_ATTRIBUTE, REPLACE_ATTRIBUTE`

Fields inherited from interface javax.naming.Context
`APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES`

Constructor Summary
`JiveInitialLdapContext()`
`JiveInitialLdapContext(Hashtable<?,?> arg0, Control[] arg1)`

Method Summary
`SSLSession` | `getSslSession()`
`StartTlsResponse` | `getTlsResponse()`
`void` | `setSslSession(SSLSession sslSess)`
`void` | `setTlsResponse(StartTlsResponse tlsResp)`

Methods inherited from class javax.naming.ldap.InitialLdapContext
`extendedOperation, getConnectControls, getRequestControls, getResponseControls, newInstance, reconnect, setRequestControls`

Methods inherited from class javax.naming.directory.InitialDirContext
`bind, bind, createSubcontext, createSubcontext, getAttributes, getAttributes, getAttributes, getAttributes, getSchema, getSchema, getSchemaClassDefinition, getSchemaClassDefinition, modifyAttributes, modifyAttributes, modifyAttributes, modifyAttributes, rebind, rebind, search, search, search, search, search, search, search, search`

Methods inherited from class javax.naming.InitialContext
`addToEnvironment, bind, bind, close, composeName, composeName, createSubcontext, createSubcontext, destroySubcontext, destroySubcontext, getDefaultInitCtx, getEnvironment, getNameInNamespace, getNameParser, getNameParser, getURLOrDefaultInitCtx, getURLOrDefaultInitCtx, init, list, list, listBindings, listBindings, lookup, lookup, lookupLink, lookupLink, rebind, rebind, removeFromEnvironment, rename, rename, unbind, unbind`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.naming.directory.DirContext
`bind, bind, createSubcontext, createSubcontext, getAttributes, getAttributes, getAttributes, getAttributes, getSchema, getSchema, getSchemaClassDefinition, getSchemaClassDefinition, modifyAttributes, modifyAttributes, modifyAttributes, modifyAttributes, rebind, rebind, search, search, search, search, search, search, search, search`

Methods inherited from interface javax.naming.Context
`addToEnvironment, bind, bind, close, composeName, composeName, createSubcontext, createSubcontext, destroySubcontext, destroySubcontext, getEnvironment, getNameInNamespace, getNameParser, getNameParser, list, list, listBindings, listBindings, lookup, lookup, lookupLink, lookupLink, rebind, rebind, removeFromEnvironment, rename, rename, unbind, unbind`

Constructor Detail

### JiveInitialLdapContext

    public JiveInitialLdapContext(Hashtable<?,?> arg0,
                                  Control[] arg1)
                           throws NamingException

Throws:
  `NamingException`

### JiveInitialLdapContext

    public JiveInitialLdapContext()
                           throws NamingException

Throws:
  `NamingException`

Method Detail

### getTlsResponse

    public StartTlsResponse getTlsResponse()

### setTlsResponse

    public void setTlsResponse(StartTlsResponse tlsResp)

### getSslSession

    public SSLSession getSslSession()

### setSslSession

    public void setSslSession(SSLSession sslSess)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.